Paquetages | Fonctions | Variables

# Référence du fichier db.py

Aller au code source de ce fichier.

## Paquetages
package | db
## Fonctions
def | db.openDb
| Ouverture de la base de données de l'application, et création si nécessaire.
def | db.checkVersion
| Vérifie si la base de données reste compatible.
def | db.knowsId
| dit si une clé USB est déjà connue
def | db.tattooList
| Renvoie la liste des tatouages connus de la base de données.
def | db.readStudent
| renvoie l'étudiant qui possède une clé USB
def | db.readPrefs
| renvoie les préférences de ScolaSync
def | db.setWd
| définit le nouveau nom du répertoire de travail préféré.
def | db.writeStudent
| inscrit un étudiant comme propriétaire d'une clé USB
def | db.writePrefs
| inscrit les préférences
## Variables
dictionary | db.licence = {}
| db.database = None
| db.cursor = None